## r-cran-wk 0.3.4

=== DESCRIPTION ===
Package: wk
Title: Lightweight Well-Known Geometry Parsing
Version: 0.3.4
Authors@R: 
    c(
      person(given = "Dewey",
             family = "Dunnington",
             role = c("aut", "cre"),
             email = "dewey@fishandwhistle.net",
             comment = c(ORCID = "0000-0002-9415-4582")),
       person(given = "Edzer",
              family = "Pebesma",
              role = c("aut"),
              email = "edzer.pebesma@uni-muenster.de",
              comment = c(ORCID = "0000-0001-8049-7069"))
    )
Maintainer: Dewey Dunnington <dewey@fishandwhistle.net>
Description: Provides a minimal R and C++ API for parsing
  well-known binary and well-known text representation of
  geometries to and from R-native formats. 
  Well-known binary is compact
  and fast to parse; well-known text is human-readable
  and is useful for writing tests. These formats are only
  useful in R if the information they contain can be 
  accessed in R, for which high-performance functions 
  are provided here.
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
RoxygenNote: 7.1.1
LinkingTo: Rcpp
Imports: Rcpp
Suggests: testthat, vctrs (>= 0.3.0), wkutils, sf
URL: https://paleolimbot.github.io/wk/,
        https://github.com/paleolimbot/wk
BugReports: https://github.com/paleolimbot/wk/issues
NeedsCompilation: yes
Packaged: 2021-01-16 12:05:46 UTC; dewey
Author: Dewey Dunnington [aut, cre] (<https://orcid.org/0000-0002-9415-4582>),
  Edzer Pebesma [aut] (<https://orcid.org/0000-0001-8049-7069>)
Repository: CRAN
Date/Publication: 2021-01-16 12:30:02 UTC

=== debian/changelog ===
r-cran-wk (0.3.4-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 25 Jan 2021 15:23:03 +0100

r-cran-wk (0.3.3-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 18 Oct 2020 23:17:08 +0200

r-cran-wk (0.3.2-1) unstable; urgency=medium

  * Initial release (closes: #970709)

 -- Andreas Tille <tille@debian.org>  Tue, 22 Sep 2020 11:11:19 +0200

=== debian/control ===
Source: r-cran-wk
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rcpp
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-wk
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-wk.git
Homepage: https://cran.r-project.org/package=wk
Rules-Requires-Root: no

Package: r-cran-wk
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R lightweight well-known geometry parsing
 Provides a minimal R and C++ API for parsing
 well-known binary and well-known text representation of
 geometries to and from R-native formats.
 Well-known binary is compact
 and fast to parse; well-known text is human-readable
 and is useful for writing tests. These formats are only
 useful in R if the information they contain can be
 accessed in R, for which high-performance functions
 are provided here.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/wk_([-\d.]*)\.tar\.gz

## r-cran-wk 0.6.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: wk
 Title: Lightweight Well-Known Geometry Parsing
-Version: 0.3.4
+Version: 0.6.0
 Authors@R: 
     c(
       person(given = "Dewey",
@@ -26,17 +26,16 @@
   are provided here.
 License: MIT + file LICENSE
 Encoding: UTF-8
-LazyData: true
-RoxygenNote: 7.1.1
-LinkingTo: Rcpp
-Imports: Rcpp
-Suggests: testthat, vctrs (>= 0.3.0), wkutils, sf
+RoxygenNote: 7.1.2
+SystemRequirements: C++11
+Suggests: testthat (>= 3.0.0), vctrs (>= 0.3.0), sf, tibble, readr
 URL: https://paleolimbot.github.io/wk/,
         https://github.com/paleolimbot/wk
 BugReports: https://github.com/paleolimbot/wk/issues
+Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2021-01-16 12:05:46 UTC; dewey
+Packaged: 2022-01-03 12:29:10 UTC; deweydunnington
 Author: Dewey Dunnington [aut, cre] (<https://orcid.org/0000-0002-9415-4582>),
   Edzer Pebesma [aut] (<https://orcid.org/0000-0001-8049-7069>)
 Repository: CRAN
-Date/Publication: 2021-01-16 12:30:02 UTC
+Date/Publication: 2022-01-03 13:20:02 UTC

=== debian/changelog ===
r-cran-wk (0.6.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 15 Jan 2022 10:30:29 +0100

r-cran-wk (0.5.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 15 Aug 2021 08:32:10 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,8 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
-               r-base-dev,
-               r-cran-rcpp
-Standards-Version: 4.5.1
+               r-base-dev
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-wk
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-wk.git
 Homepage: https://cran.r-project.org/package=wk

## r-cran-wk 0.7.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: wk
 Title: Lightweight Well-Known Geometry Parsing
-Version: 0.6.0
+Version: 0.7.1
 Authors@R: 
     c(
       person(given = "Dewey",
@@ -20,22 +20,24 @@
   geometries to and from R-native formats. 
   Well-known binary is compact
   and fast to parse; well-known text is human-readable
-  and is useful for writing tests. These formats are only
-  useful in R if the information they contain can be 
+  and is useful for writing tests. These formats are
+  useful in R only if the information they contain can be 
   accessed in R, for which high-performance functions 
   are provided here.
 License: MIT + file LICENSE
 Encoding: UTF-8
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.1
 SystemRequirements: C++11
 Suggests: testthat (>= 3.0.0), vctrs (>= 0.3.0), sf, tibble, readr
 URL: https://paleolimbot.github.io/wk/,
         https://github.com/paleolimbot/wk
 BugReports: https://github.com/paleolimbot/wk/issues
 Config/testthat/edition: 3
+Depends: R (>= 2.10)
+LazyData: true
 NeedsCompilation: yes
-Packaged: 2022-01-03 12:29:10 UTC; deweydunnington
+Packaged: 2022-12-09 16:47:20 UTC; deweydunnington
 Author: Dewey Dunnington [aut, cre] (<https://orcid.org/0000-0002-9415-4582>),
   Edzer Pebesma [aut] (<https://orcid.org/0000-0001-8049-7069>)
 Repository: CRAN
-Date/Publication: 2022-01-03 13:20:02 UTC
+Date/Publication: 2022-12-09 19:20:02 UTC

=== debian/changelog ===
r-cran-wk (0.7.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 12 Dec 2022 14:13:04 +0100

r-cran-wk (0.7.0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 0.7.0
  * Bump Standards-Version to 4.6.1 (no changes needed)
  * Fix d/control with cme

 -- Nilesh Patra <nilesh@debian.org>  Sat, 15 Oct 2022 14:28:54 +0530

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-wk
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-wk
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-wk.git
+Homepage: https://cran.r-project.org/package=wk
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-wk
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-wk.git
-Homepage: https://cran.r-project.org/package=wk
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-wk
 Architecture: any

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-vctrs, r-cran-wkutils
Restrictions: allow-stderr

## r-cran-wk 0.7.3

=== debian/changelog ===
r-cran-wk (0.7.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 29 Jun 2023 18:00:23 +0200

## r-cran-wk 0.9.1

=== DESCRIPTION ===
Package: wk
Title: Lightweight Well-Known Geometry Parsing
Version: 0.9.1
Authors@R: 
    c(
      person(given = "Dewey",
             family = "Dunnington",
             role = c("aut", "cre"),
             email = "dewey@fishandwhistle.net",
             comment = c(ORCID = "0000-0002-9415-4582")),
       person(given = "Edzer",
              family = "Pebesma",
              role = c("aut"),
              email = "edzer.pebesma@uni-muenster.de",
              comment = c(ORCID = "0000-0001-8049-7069")),
      person(given = "Anthony",
             family = "North",
             email = "anthony.jl.north@gmail.com",
             role = c("ctb"))
    )
Maintainer: Dewey Dunnington <dewey@fishandwhistle.net>
Description: Provides a minimal R and C++ API for parsing
  well-known binary and well-known text representation of
  geometries to and from R-native formats.
  Well-known binary is compact
  and fast to parse; well-known text is human-readable
  and is useful for writing tests. These formats are
  useful in R only if the information they contain can be
  accessed in R, for which high-performance functions
  are provided here.
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.2.3
Suggests: testthat (>= 3.0.0), vctrs (>= 0.3.0), sf, tibble, readr
URL: https://paleolimbot.github.io/wk/,
        https://github.com/paleolimbot/wk
BugReports: https://github.com/paleolimbot/wk/issues
Config/testthat/edition: 3
Depends: R (>= 2.10)
LazyData: true
NeedsCompilation: yes
Packaged: 2023-11-29 02:12:31 UTC; deweydunnington
Author: Dewey Dunnington [aut, cre] (<https://orcid.org/0000-0002-9415-4582>),
  Edzer Pebesma [aut] (<https://orcid.org/0000-0001-8049-7069>),
  Anthony North [ctb]
Repository: CRAN
Date/Publication: 2023-11-29 05:30:02 UTC

=== debian/changelog ===
r-cran-wk (0.9.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 19 Dec 2023 11:23:18 +0100

r-cran-wk (0.9.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 24 Oct 2023 11:33:11 +0200

r-cran-wk (0.8.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 01 Sep 2023 07:44:06 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-wk
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-wk.git
 Homepage: https://cran.r-project.org/package=wk
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-wk 0.9.3

=== debian/changelog ===
r-cran-wk (0.9.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 11 Sep 2024 15:57:02 +0900

## r-cran-wk 0.9.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: wk
 Title: Lightweight Well-Known Geometry Parsing
-Version: 0.9.1
+Version: 0.9.4
 Authors@R: 
     c(
       person(given = "Dewey",
@@ -39,9 +39,9 @@
 Depends: R (>= 2.10)
 LazyData: true
 NeedsCompilation: yes
-Packaged: 2023-11-29 02:12:31 UTC; deweydunnington
+Packaged: 2024-10-11 15:24:57 UTC; deweydunnington
 Author: Dewey Dunnington [aut, cre] (<https://orcid.org/0000-0002-9415-4582>),
   Edzer Pebesma [aut] (<https://orcid.org/0000-0001-8049-7069>),
   Anthony North [ctb]
 Repository: CRAN
-Date/Publication: 2023-11-29 05:30:02 UTC
+Date/Publication: 2024-10-11 20:10:03 UTC

=== debian/changelog ===
r-cran-wk (0.9.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Thu, 17 Oct 2024 08:08:14 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-wk
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-wk.git
 Homepage: https://cran.r-project.org/package=wk
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat (>= 3.0.0),
        r-cran-vctrs (>= 0.3.0),
        r-cran-sf,
        r-cran-tibble,
        r-cran-readr
Restrictions: allow-stderr

## r-cran-wk 0.9.5

=== debian/changelog ===
r-cran-wk (0.9.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 07 Jan 2026 09:19:58 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: r-cran-wk
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-wk
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-wk.git
 Homepage: https://cran.r-project.org/package=wk
-Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-wk
 Architecture: any
